Installation of applications and patches of updating
Community Discussion 1303 views · 22 replies
Tofloor
poster avatar
webnixon
deepin
2016-05-05 19:44
Author
Hi guys!

I live in Brazil ... I just installed Deepin 15, but I have difficulty in installation of applications and patches of updating. The internet is working perfectly. What could be happening? Thank you all!



Nixon

Reply Favorite View the author
All Replies
dance707
deepin
2016-05-05 21:57
#1
Hi, welcome to the Deepin forum.  Currently the CDN nodes are in USA and China. I would first try selecting a faster mirror in the Deepin Control center. You should be presented the  University of Sao Paulo. And try to update from terminal. Here is a link explaining how the mirrors work in Deepin.
https://bbs.deepin.org/post/30636
Reply View the author
webnixon
deepin
2016-05-06 00:15
#2
Hi thanks.

I use the mirror of the University of Sao Paulo. I have done some alterations in /etc/apt/sources.list. Even so not can download new applications and not perform patch updating. I do not know what to do. Liked the Deepin 15 but without resolving it gets tricky continue.
Reply View the author
dance707
deepin
2016-05-06 00:43
#3
Edited by dance707 at 2016-5-5 17:54
https://bbs.deepin.org/post/31006
Hi thanks.

I use the mirror of the University of Sao Paulo. I have done some alterations in /etc/ap ...

Hi, I just tested this mirror and is working okay for me. Possibly your altercations were done incorrectly ? Please upload screen shot of your sources list and any error outputs in terminal.
Reply View the author
webnixon
deepin
2016-05-06 11:51
#4
Hi!

See the attached images. It does not work nor function "sudo apt-get update".

Thanks for helping me.
Reply View the author
dance707
deepin
2016-05-06 12:25
#5
Edited by dance707 at 2016-5-6 06:01
https://bbs.deepin.org/post/31006
Hi!

See the attached images. It does not work nor function "sudo apt-get update".

There are 2 problems I see. First if your not using the Deepin Control Center to have intelligent mirror switching. You should only have 1 mirror enabled and the same time in your sources list. You can put  # in front of the mirror you not using and it will disable it. Second you said you were using the University of Sao Paulo but you have the Federal University of Parana in your sources. The ufpr worked for Deepin 2014 but does not currently working in Deepin 15.1.1 Below is a screen shot of how you sources should look.
When ever you switch mirrors manually the first time you should   sudo apt-get clean





Reply View the author
webnixon
deepin
2016-05-06 13:00
#6
Hi, again!
Actually I was using UFPR in place of USP. But I corrected and the problem continues.

I have sent pictures attached to check and report the function "sudo apt-get clean" is not performed. I can not download applications and even download new updates.

I thank you. My compliments for the attention dedicated to one beginner User.
Reply View the author
dance707
deepin
2016-05-06 13:12
#7
https://bbs.deepin.org/post/31006
Hi, again!
Actually I was using UFPR in place of USP. But I corrected and the problem continues.

If your still getting var/lock message in terminal it is because the process is busy. If you have Auto check update enabled in your Deepin Control center and other reasons also. Either let the process finish or kill process or reboot computer then do a :
sudo apt-get clean
sudo apt-get update && sudo apt-get dist-upgrade
Reply View the author
webnixon
deepin
2016-05-06 13:43
#8
Hi!

I have listed the process, but do not know which identify killing. Indeed the error continues as follows:

Lendo listas de pacotes... Pronto
E: Não foi possível obter trava /var/lib/apt/lists/lock - open (11: Recurso temporariamente indisponível)
E: Impossível criar acesso exclusivo ao directório /var/lib/apt/lists/
Reply View the author
dance707
deepin
2016-05-06 13:51
#9
Edited by dance707 at 2016-5-14 02:03
https://bbs.deepin.org/post/31006
Hi!

I have listed the process, but do not know which identify killing. Indeed the error continues a ...

Hi, Personally I temporarily disable Auto check update in Deepin Control Center and reboot then type terminal quickly.
The forcible methods are not healthy and should not been done all the time.
If you want to force quit you can either sudo rm /var/lib/apt/lists/lock
or sudo pkill apt-get but needs to be done 2 or 3 times in a row
Reply View the author
webnixon
deepin
2016-05-06 14:55
#10
Hi, which location to disable Auto update check in Deepin Control Center? I not found this option. Tks!
Reply View the author
dance707
deepin
2016-05-06 15:07
#11
https://bbs.deepin.org/post/31006
Hi, which location to disable Auto update check in Deepin Control Center? I not found this option. T ...

Hi, When your in the Deepin Control Center and other Deepin applications you can press F1 key for the pop up help, see screen shot below. If you just installed Deepin you probably have about 300 updates to do, that is why the process was var/lock taking so long . After you apply the latest Deepin Patches and keep your mirrors synchronized meaning regulary updated this should not be a issue.
Reply View the author
dance707
deepin
2016-05-06 15:10
#12
https://bbs.deepin.org/post/31006
Hi, which location to disable Auto update check in Deepin Control Center? I not found this option. T ...

Here is a link giving more information on the Deepin Manual.

https://bbs.deepin.org/post/30845
Reply View the author
webnixon
deepin
2016-05-06 17:08
#13
Hi! ... Yes it ... I had already done it, wrong understood what had informed. After I follow what told me, see the result after the command "sudo apt-get clean" and
"Sudo apt-get update && sudo apt-get dist-upgrade": Gave error in the repository stf.if.usp.br

nixonesa@nixonesa-pc:~$ sudo apt-get clean
[sudo] senha para nixonesa:
nixonesa@nixonesa-pc:~$ sudo apt-get update && sudo apt-get dist-upgrade
Obter:1 http://repository.spotify.com stable InRelease [3.302 B]                     
Err:2 http://stf.if.usp.br/deepin unstable InRelease                                 
  Não foi possível resolver 'stf.if.usp.br'
Obter:3 http://repository.spotify.com stable/non-free i386 Packages [1.132 B]
Baixados 4.434 B em 1s (2.972 B/s)   
Lendo listas de pacotes... Pronto
W: Failed to fetch http://stf.if.usp.br/deepin/dists/unstable/InRelease  Não foi possível resolver 'stf.if.usp.br'
W: Falhou o download de alguns ficheiros de índice. Foram ignorados ou os antigos foram usados em seu lugar.
Lendo listas de pacotes... Pronto
Construindo árvore de dependências      
Lendo informação de estado... Pronto
Calculando atualização... Pronto
Os pacotes a seguir serão atualizados:
  spotify-client
1 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
É preciso baixar 80,9 MB de arquivos.
Depois desta operação, 22,4 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
Obter:1 http://repository.spotify.com stable/non-free i386 spotify-client i386 1:1.0.28.89.gf959d4ce-4 [80,9 MB]
Baixados 80,9 MB em 42s (1.893 kB/s)                                                                                                         
(Lendo banco de dados ... 138002 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../spotify-client_1%3a1.0.28.89.gf959d4ce-4_i386.deb ...
Unregistering icon /usr/share/spotify/icons/spotify-linux-128.png
Unregistering icon /usr/share/spotify/icons/spotify-linux-16.png
Unregistering icon /usr/share/spotify/icons/spotify-linux-22.png
Unregistering icon /usr/share/spotify/icons/spotify-linux-24.png
Unregistering icon /usr/share/spotify/icons/spotify-linux-256.png
Unregistering icon /usr/share/spotify/icons/spotify-linux-32.png
Unregistering icon /usr/share/spotify/icons/spotify-linux-48.png
Unregistering icon /usr/share/spotify/icons/spotify-linux-512.png
Unregistering icon /usr/share/spotify/icons/spotify-linux-64.png
Unregistering desktop entry
A descompactar spotify-client (1:1.0.28.89.gf959d4ce-4) sobre (1:1.0.19.106.gb8a7150f) ...
Configurando spotify-client (1:1.0.28.89.gf959d4ce-4) ...
Registering icon /usr/share/spotify/icons/spotify-linux-128.png
Registering icon /usr/share/spotify/icons/spotify-linux-16.png
Registering icon /usr/share/spotify/icons/spotify-linux-22.png
Registering icon /usr/share/spotify/icons/spotify-linux-24.png
Registering icon /usr/share/spotify/icons/spotify-linux-256.png
Registering icon /usr/share/spotify/icons/spotify-linux-32.png
Registering icon /usr/share/spotify/icons/spotify-linux-48.png
Registering icon /usr/share/spotify/icons/spotify-linux-512.png
Registering icon /usr/share/spotify/icons/spotify-linux-64.png
Registering desktop entry
Reply View the author
dance707
deepin
2016-05-06 17:38
#14
https://bbs.deepin.org/post/31006
Hi! ... Yes it ... I had already done it, wrong understood what had informed. After I follow what to ...

This is one of the reasons why they do not recommend to modify your source list. And to use the Deepin Control Center instead. I do not know why you have a spotify in your sources if you were unable to install applicatons. I did not notice in your screen shot but you misspelled the mirror shoud be sft not stf  in your sources list, like in the screen shot I uploaded. Try to edit your sources again and correct spelling
Reply View the author
webnixon
deepin
2016-05-06 17:51
#15

Spotify installed by Deepin store, not changed the repository, continues as follows:

deb http://packages.deepin.com/deepin unstable main contrib non-free

deb http://stf.if.usp.br/deepin unstable main contrib non-free


He returned to work the download by Deepin store. But updates Deepin and its not patches.

Forgive me for not knowing the English language. Thank you!
Reply View the author
dance707
deepin
2016-05-06 17:58
#16
https://bbs.deepin.org/post/31006
Spotify installed by Deepin store, not changed the repository, continues as follows:

Your welcome I understand the language thing and we were all new to Linux at one time right ? Okay good you installed Spotify in the Deepin Store. If it were a ubuntu ppa it would cause a big problem. Are you able to update system now ?
Reply View the author
webnixon
deepin
2016-05-06 19:22
#17
Thanks for understanding!
I can do Yes download the Shop Deepin. But as the attached image, not can upgrade the OS Deepin own. Is in a loop but not downloads of some updating.
Reply View the author
dance707
deepin
2016-05-06 19:34
#18
https://bbs.deepin.org/post/31006
Thanks for understanding!
I can do Yes download the Shop Deepin. But as the attached image, not can  ...

As mentioned earlier I would update from terminal. You should not be trying to install from store with out updating first.
I would reset computer and try from terminal.

sudo apt-get clean
sudo apt-get update && sudo apt-get dist-upgrade
Reply View the author
webnixon
deepin
2016-05-06 19:41
#19
How to understand? Now it worked! I had done this before. The important it is upgrading. I am very grateful for your help.

So one more thing: Installing watch Netflix via Deepin?
Reply View the author
dance707
deepin
2016-05-06 19:55
#20
https://bbs.deepin.org/post/31006
How to understand? Now it worked! I had done this before. The important it is upgrading. I am very g ...

Your welcome. Not sure, I think now days they just use Google Chrome but you have a 32 bit Deepin. You might want to start a new post if you need help with that so other members can see the Netfix  topic.
Reply View the author

1 / 2
To page
Use Markdown Editor
Loading